#
# spec file for package gmerlin
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 0
%define rev     4256

Name:           gmerlin
Version:        1.2.0rsvn%{rev}
Release:        3.25
Summary:        Multimedia architecture for Linux
License:        GPL-2.0+
Group:          System/Libraries
Url:            http://gmerlin.sourceforge.net/
#svn checkout svn://svn.code.sf.net/p/gmerlin/code/trunk/gmerlin/
Source0:        gmerlin-%{rev}.tar.gz
# PATCH-FIX-OPENSUSE gmerlin-1.0.0-icon_link.patch reddwarf@opensuse.org -- Fix icon symlinks
Patch0:         gmerlin-1.0.0-icon_link.patch
# PATCH-FIX-UPSTREAM write_frame_jack.patch avvissu@yandex.ru --  Remove cruft from the audio output API
Patch1:         gmerlin-4256-write_frame_jack.patch
Patch2:         gmerlin-1.2.0-cdio.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  libgavl-devel >= 1.4.0rsvn4256
BuildRequires:  hicolor-icon-theme
BuildRequires:  libjpeg-devel
BuildRequires:  libmusicbrainz-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  makeinfo
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gdk-2.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libcddb)
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  pkgconfig(libcdio_cdda)
BuildRequires:  pkgconfig(libcdio_paranoia)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libpulse-simple)
BuildRequires:  pkgconfig(libquicktime) >= 1.2.4
BuildRequires:  pkgconfig(libv4lconvert)
BuildRequires:  pkgconfig(libvisual-0.4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xv)
Requires(post): info
Requires(postun): info

%description
Multimedia architecture consisting of libraries and applications.

%package -n 	libgmerlin%{soname}
Summary:        Base library for gmerlin applications
Group:          System/Libraries

%description -n libgmerlin%{soname}
This package contain the library needed to run a programs compiled
using libgmerlin.

%package -n 	libgmerlin-devel
Summary:        Development files for gmerlin
Group:          Development/Libraries/C and C++
Requires:       libgavl-devel >= 1.4.0rsvn4256
Requires:       libgmerlin%{soname} = %{version}

%description -n libgmerlin-devel
Header files for compiling gmerlin applications and plugins.

%package -n 	libgmerlin_gtk%{soname}
Summary:        Gtk support library for gmerlin
Group:          System/Libraries

%description -n libgmerlin_gtk%{soname}
This package contain the library needed to run a programs compiled
using libgmerlin_gtk.

%package -n 	libgmerlin_gtk-devel
Summary:        Development files for gmerlin gtk
Group:          Development/Libraries/C and C++
Requires:       libgmerlin_gtk%{soname} = %{version}

%description -n libgmerlin_gtk-devel
Header files for compiling gmerlin gtk applications.

%package 		player
Summary:        Multiformat media player
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name} = %{version}

%description 	player
Multiformat media player for package gmerlin.

%package 		plugincfg
Summary:        Gmerlin Plugin configurator
Group:          Productivity/Multimedia/Other
Requires:       %{name} = %{version}

%description 	plugincfg
This program to write a command line application, which uses gmerlin plugins.
It lets you configure all plugin options and save them at a location, where
other applications can find them.

%package 		recorder
Summary:        Multiformat recorder
Group:          Productivity/Multimedia/Video/Editors and Convertors
Requires:       %{name} = %{version}

%description 	recorder
Is a small application, which records audio and video from hardware devices.

%package 		alsamixer
Summary:        Alsa mixer
Group:          Productivity/Multimedia/Sound/Mixers
Requires:       %{name} = %{version}

%description 	alsamixer
This lets you configure your soundcard even if it has more than 100 controls.
Multiple cards are supported as well.

%package        gavf-tools
Summary:        Tools for gavf multimedia format
Group:          Productivity/Multimedia/Other
Requires:       %{name} = %{version}

%description    gavf-tools
This package contains command line programs for work with gavf.
gavf: A multimedia container format for gmerlin

%package 		transcoder
Summary:        Audio/Video transcoder
Group:          Productivity/Multimedia/Video/Editors and Convertors
Requires:       %{name} = %{version}

%description transcoder
Lets you configure the options for each track.

%package 		visualizer
Summary:        Visualization app
Group:          Productivity/Multimedia/Other
Requires:       %{name} = %{version}

%description 	visualizer
This program runs visualization plugins with audio coming from the soundcard.

%package 		utils
Summary:        Utilities for gmerlin
Group:          Productivity/Multimedia/Other
Requires:       %{name} = %{version}

%description 	utils
This package contains command line programs:
	* gmerlin_imgconvert - Image converter
    * gmerlin_{imgdiff,vpsnr,ssim} - compare two images
    * gmerlin_player - Commandline Multimedia player
    * gmerlin-record - record audio and video from hardware devices
	* gmerlin_vanalyze - compare two videos
    * gmerlin-video-thumbnailer - Video thumbnailer
    * etc

%package 		kbd
Summary:        Keyboard daemon for gmerlin
Group:          Productivity/Multimedia/Other
Requires:       %{name} = %{version}

%description 	kbd
Keyboard daemon for package gmerlin.

%package 		jack
Summary:        Jack plugins for gmerlin
Group:          System/Libraries
Requires:       %{name} = %{version}

%description 	jack
Jack plugins for package gmerlin.

%package 		doc
Summary:        Documentation for %{name}
Group:          Documentation/HTML
BuildArch:      noarch

%description doc
This package contains documentation for gmerlin.

%lang_package

%prep
%setup -q -n %{name}

%patch0 -p1
%patch1 -p1
%patch2 -p1

# nmjedit/Makefile.in not found
sed -i '/apps\/nmjedit/d' configure.ac

# Do not compile in DATE and TIME
echo 'HTML_TIMESTAMP = NO' >> doc/Doxyfile.in

%build
./autogen.sh
%configure \
	--with-cpuflags=none \
	--docdir=%{_defaultdocdir}/%{name}

make V=1 %{?_smp_mflags}

%install
%make_install

%suse_update_desktop_file -r %{name}-alsamixer  AudioVideo Mixer
%suse_update_desktop_file -r %{name}-kbd        AudioVideo AudioVideoEditing
%suse_update_desktop_file -r %{name}-player     AudioVideo Player
%suse_update_desktop_file -r %{name}-plugincfg  AudioVideo AudioVideoEditing
%suse_update_desktop_file -r %{name}-recorder   AudioVideo AudioVideoEditing
%suse_update_desktop_file -r %{name}-transcoder AudioVideo AudioVideoEditing
%suse_update_desktop_file -r %{name}-visualizer AudioVideo Player

# make rpmlint happy ..
pushd %{buildroot}%{_datadir}/applications
	sed -i -e 's|.png||g' *.desktop
popd

rm %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}-camelot.png

find %{buildroot} -type f -name "*.la" -delete -print

%fdupes -s %{buildroot}

%find_lang %{name}

%post   -n libgmerlin%{soname} -p /sbin/ldconfig

%postun -n libgmerlin%{soname} -p /sbin/ldconfig

%post   -n libgmerlin_gtk%{soname} -p /sbin/ldconfig

%postun -n libgmerlin_gtk%{soname} -p /sbin/ldconfig

%post 	-n %{name}-alsamixer %icon_theme_cache_post
%post	-n %{name}-kbd %icon_theme_cache_post
%post	-n %{name}-player %icon_theme_cache_post
%post	-n %{name}-utils %icon_theme_cache_post
%post	-n %{name}-recorder %icon_theme_cache_post
%post	-n %{name}-transcoder %icon_theme_cache_post
%post	-n %{name}-visualizer %icon_theme_cache_post
%post	-n %{name}-plugincfg %icon_theme_cache_post

%postun	-n %{name}-alsamixer %icon_theme_cache_postun
%postun -n %{name}-kbd %icon_theme_cache_postun
%postun -n %{name}-player %icon_theme_cache_postun
%postun -n %{name}-utils %icon_theme_cache_postun
%postun -n %{name}-recorder %icon_theme_cache_postun
%postun -n %{name}-transcoder %icon_theme_cache_postun
%postun -n %{name}-visualizer %icon_theme_cache_postun
%postun -n %{name}-plugincfg %icon_theme_cache_postun

%post	-n %{name}
%info_add gmerlin.info
%info_add gmerlin.info-1
%info_add gmerlin.info-2
%if 0%{?suse_version} <= 1320
%info_add gmerlin.info-3
%endif

%postun	-n %{name}
if [ $1 = 0 ]; then
  %info_del gmerlin.info
  %info_del gmerlin.info-1
  %info_del gmerlin.info-2
  %if 0%{?suse_version} <= 1320
  %info_del gmerlin.info-3
  %endif  
fi

%files lang -f %{name}.lang
%defattr(0644,root,root)

%files
%defattr(0644,root,root,0755)
%{_libdir}/gmerlin
%exclude %{_libdir}/gmerlin/plugins/*_jack.so
%exclude %{_libdir}/%{name}/bin/gmerlin_visualizer_slave
%{_datadir}/gmerlin
%exclude %{_datadir}/gmerlin/skins
%exclude %{_datadir}/gmerlin/plugin.sym
%{_infodir}/gmerlin.info%{ext_info}
%{_infodir}/gmerlin.info-1%{ext_info}
%{_infodir}/gmerlin.info-2%{ext_info}
%if 0%{?suse_version} <= 1320
%{_infodir}/gmerlin.info-3%{ext_info}
%endif

%files jack
%defattr(0644,root,root,0755)
%{_libdir}/gmerlin/plugins/*_jack.so

%files -n libgmerlin%{soname}
%defattr(0644, root ,root)
%{_libdir}/libgmerlin.so.%{soname}*

%files -n libgmerlin-devel
%defattr(0644,root,root,0755)
%{_docdir}/%{name}/apiref
%{_libdir}/libgmerlin.so
%{_includedir}/gmerlin
%exclude %{_includedir}/gmerlin/gui_gtk
%{_libdir}/pkgconfig/gmerlin.pc
%{_datadir}/gmerlin/plugin.sym

%files -n libgmerlin_gtk%{soname}
%defattr(0644, root ,root)
%{_libdir}/libgmerlin_gtk.so.%{soname}*

%files -n libgmerlin_gtk-devel
%defattr(0644,root,root,0755)
%dir %{_includedir}/gmerlin
%{_libdir}/libgmerlin_gtk.so
%{_includedir}/gmerlin/gui_gtk
%{_libdir}/pkgconfig/gmerlin-gtk.pc

%files alsamixer
%defattr(0644,root,root)
%attr(0755,root,root) %{_bindir}/gmerlin_alsamixer
%{_datadir}/applications/gmerlin-alsamixer.desktop
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-alsamixer.png

%files gavf-tools
%defattr(0755,root,root,0755)
%attr(0644,root,root) %doc README.gavftools
%{_bindir}/gavf-decode
%{_bindir}/gavf-demux
%{_bindir}/gavf-encode
%{_bindir}/gavf-filter
%{_bindir}/gavf-info
%{_bindir}/gavf-mux
%{_bindir}/gavf-play
%{_bindir}/gavf-recompress
%{_bindir}/gavf-record
%{_bindir}/gavf-tee

%files kbd
%defattr(0644,root,root)
%attr(0755,root,root) %{_bindir}/gmerlin_kbd
%attr(0755,root,root) %{_bindir}/gmerlin_kbd_config
%{_datadir}/applications/gmerlin-kbd.desktop
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-kbd.png

%files player
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/gmerlin
%attr(0755,root,root) %{_bindir}/gmerlin_remote
%attr(0755,root,root) %{_bindir}/gmerlin_launcher
%{_datadir}/gmerlin/skins
%{_datadir}/applications/gmerlin-player.desktop
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-player.png
%{_mandir}/man1/gmerlin.1*
%{_mandir}/man1/gmerlin_remote.1*
%{_mandir}/man1/gmerlin_remote.1*

%files plugincfg
%defattr(0644,root,root)
%attr(0755,root,root) %{_bindir}/gmerlin_plugincfg
%{_datadir}/applications/gmerlin-plugincfg.desktop
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-plugincfg.png

%files recorder
%defattr(0644,root,root)
%attr(0755,root,root) %{_bindir}/gmerlin_recorder
%{_datadir}/applications/gmerlin-recorder.desktop
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-recorder.png

%files transcoder
%defattr(0644,root,root)
%attr(0755,root,root) %{_bindir}/gmerlin_transcoder
%attr(0755,root,root) %{_bindir}/gmerlin_transcoder_remote
%{_datadir}/applications/gmerlin-transcoder.desktop
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-transcoder.png
%doc %{_mandir}/man1/gmerlin_transcoder.1*
%doc %{_mandir}/man1/gmerlin_transcoder_remote.1*

%files visualizer
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/gmerlin_visualize
%attr(0755,root,root) %{_bindir}/gmerlin_visualizer
%attr(0755,root,root) %{_libdir}/%{name}/bin/gmerlin_visualizer_slave
%{_datadir}/applications/gmerlin-visualizer.desktop
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-visualizer.png

%files utils
%defattr(0755,root,root)
%{_bindir}/album2m3u
%{_bindir}/album2pls
%{_bindir}/gmerlin-db2nmj
%{_bindir}/gmerlin-dbedit
%{_bindir}/gmerlin_imgconvert
%{_bindir}/gmerlin_imgdiff
%{_bindir}/gmerlin_play
%{_bindir}/gmerlin_psnr
%{_bindir}/gmerlin-record
%{_bindir}/gmerlin_ssim
%{_bindir}/gmerlin-savemeta
%{_bindir}/gmerlin-server
%{_bindir}/gmerlin-upnp-discover
%{_bindir}/gmerlin_vanalyze
%{_bindir}/gmerlin-video-thumbnailer
%{_bindir}/gmerlin_vpsnr
%{_bindir}/gmerlin_imgsplit
%attr(0644,root,root) %{_mandir}/man1/gmerlin_play.1*
%attr(0644,root,root) %{_mandir}/man1/gmerlin-record.1*

%files doc
%defattr(0644,root,root,0755)
%{_docdir}/%{name}
%exclude %{_docdir}/%{name}/apiref

%changelog
* Wed Feb 25 2015 avvissu@yandex.ru
- Update to svn4256
- Remove all patches (fixed in upstream):
  * gmerlin-1.0.0-desktop_files.patch
  * gmerlin-1.2.0-texinfo-5.0.patch
  * gmerlin-1.2.0-underlinking.patch
- Fix build error (gmerlin-4256-write_frame_jack.patch)
- Update to gmerlin-1.2.0-cdio.patch
- Add BuildRequires: pkgconfig(alsa) pkgconfig(sqlite3) pkgconfig(uuid)
- Add package gmerlin instead of gmerlin-plugins
- Add Requires: gmerlin for all packages gmerlin-*
- Add packages plugincfg and gavf-tools
- Set default permission for FHS directories
* Sat Feb 21 2015 avvissu@yandex.ru
- Fix build on openSUSE 13.2 (gmerlin-1.2.0-texinfo-5.0.patch)
- Fix build on openSUSE 11.4 (apply gmerlin-1.2.0-cdio.patch)
- Use %%suse_update_desktop_file macro instead of
  gmerlin-1.0.0-desktop_files.patch:
- Fix shlib-fixed-dependency: libgmerlin does not depend on %%name
  * remove Requires: %%{name} = %%{version} from libgmerlin
- Fix file-contains-date-and-time: add HTML_TIMESTAMP = NO
- Add %%suse_update_desktop_file and %%icon_theme_cache*
- Add packages for plugins and docs
* Fri Mar 28 2014 seife+obs@b1-systems.com
- do not apply cdio patch for <= 11.4
* Tue Jun 19 2012 reddwarf@opensuse.org
- Update to 1.2.0
* Wed Sep 29 2010 reddwarf@opensuse.org
- Initial package
